---
title: How to resolve a mentored developer doc request
slug: MDN/Contribute/Howto/Resolve_a_mentored_developer_doc_request
tags:
  - Beginner
  - Documentation
  - Guide
  - MDN Meta
---
<div>{{MDNSidebar}}</div>

<p>The MDN Web Docs project has a large backlog of requests for changes, in Mozilla's Bugzilla instance. You can help improve MDN by fixing a problem and closing the request.</p>

<h2 id="Where_does_this_need_to_be_done">Where does this need to be done?</h2>

<p>You can find a list of <a href="https://codetribute.mozilla.org/projects/mdn">Mentored MDN bugs on Codetribute</a>. All issues in Bugzilla are called "bugs", even if they are enhancement requests or ideas for new material or features. The bugs on this list are issues that have been judged to be good for first-time contributors to MDN, and have been assigned a mentor who can give you guidance and advice in resolving the issue.</p>

<h2 id="What_do_you_need_to_know_to_do_the_task">What do you need to know to do the task?</h2>

<p>You need to be familiar with the topic of the request that you select to work on. Being somewhat familiar with editing on MDN and with using <a href="https://www.bugzilla.org/">Bugzilla</a> is helpful.</p>

<h2 id="What_are_the_steps">What are the steps?</h2>

<ol>
 <li>Select a request that looks interesting to you, and is within your realm of knowledge. It's OK to pick something you don't know completely, as long as you reasonably expect to learn what is needed along the way.</li>
 <li>Carefully read the request to make sure that you understand what is requested. Also, notice the name or names listed in the <strong>Mentors</strong> field. A mentor is someone who has committed to helping someone like you work on the request.</li>
 <li>If you haven't already done so, <a href="https://bugzilla.mozilla.org/createaccount.cgi">create an account on Bugzilla</a>.</li>
 <li>If you've decided to work on the request, assign the request to yourself: Click the "take" link next to the <strong>Assigned To</strong> field (which fills in your name and email address in the field), and then click the <strong>Save Changes</strong> button. The mentor or mentors get notified that you've taken ownership of the request.</li>
 <li>Work on fulfilling the request by doing whatever is needed on MDN. Add comments to the request if you need to ask questions of the mentor. It's a good idea to ask the mentor to review your work when you're basically finished with it.</li>
 <li>When you and the mentor agree that the request has been fulfilled, change the <strong>Status</strong> to RESOLVED, and the resolution to FIXED, and click <strong>Save Changes</strong>.</li>
</ol>

<p>That's it! Congratulations on fixing a documentation bug!</p>
